Package com.ocient.jdbc.proto

## Class PlanProtocol.ExecutionCluster.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.ExecutionCluster.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.ExecutionClusterOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.ExecutionCluster

    public static final class PlanProtocol.ExecutionCluster.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>
    implements PlanProtocol.ExecutionClusterOrBuilder

    a single vm execution cluster

Protobuf type `xg.db.sqlPlans.ExecutionCluster`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.ExecutionCluster.Builder` `addAllNodeIds​(Iterable<? extends Integer> values)` the set of node ids (participants of the specified vm cluster)
`PlanProtocol.ExecutionCluster.Builder` `addNodeIds​(int value)` the set of node ids (participants of the specified vm cluster)
`PlanProtocol.ExecutionCluster.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.ExecutionCluster` `build()`
`PlanProtocol.ExecutionCluster` `buildPartial()`
`PlanProtocol.ExecutionCluster.Builder` `clear()`
`PlanProtocol.ExecutionCluster.Builder` `clearComputeSequenceNumber()` the csn identifying this set of peers as a subset of the cluster
`PlanProtocol.ExecutionCluster.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.ExecutionCluster.Builder` `clearNodeIds()` the set of node ids (participants of the specified vm cluster)
`PlanProtocol.ExecutionCluster.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.ExecutionCluster.Builder` `clearOwnershipSequenceNumber()` the osn identifying the segment ownership for leaf nodes in the storage cluster
`PlanProtocol.ExecutionCluster.Builder` `clearVmClusterId()` the uuid of the vm cluster
`PlanProtocol.ExecutionCluster.Builder` `clone()`
`int` `getComputeSequenceNumber()` the csn identifying this set of peers as a subset of the cluster
`PlanProtocol.ExecutionCluster` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getNodeIds​(int index)` the set of node ids (participants of the specified vm cluster)
`int` `getNodeIdsCount()` the set of node ids (participants of the specified vm cluster)
`List<Integer>` `getNodeIdsList()` the set of node ids (participants of the specified vm cluster)
`long` `getOwnershipSequenceNumber()` the osn identifying the segment ownership for leaf nodes in the storage cluster
`com.google.protobuf.ByteString` `getVmClusterId()` the uuid of the vm cluster
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.ExecutionCluster.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.ExecutionCluster.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.ExecutionCluster.Builder` `mergeFrom​(PlanProtocol.ExecutionCluster other)`
`PlanProtocol.ExecutionCluster.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.ExecutionCluster.Builder` `setComputeSequenceNumber​(int value)` the csn identifying this set of peers as a subset of the cluster
`PlanProtocol.ExecutionCluster.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.ExecutionCluster.Builder` `setNodeIds​(int index, int value)` the set of node ids (participants of the specified vm cluster)
`PlanProtocol.ExecutionCluster.Builder` `setOwnershipSequenceNumber​(long value)` the osn identifying the segment ownership for leaf nodes in the storage cluster
`PlanProtocol.ExecutionCluster.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.ExecutionCluster.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.ExecutionCluster.Builder` `setVmClusterId​(com.google.protobuf.ByteString value)` the uuid of the vm cluster

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>`

#### clear

    public PlanProtocol.ExecutionCluster.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.ExecutionCluster getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.ExecutionCluster build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.ExecutionCluster buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.ExecutionCluster.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>`

#### setField

    public PlanProtocol.ExecutionCluster.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                          Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>`

#### clearField

    public PlanProtocol.ExecutionCluster.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>`

#### clearOneof

    public PlanProtocol.ExecutionCluster.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>`

#### setRepeatedField

    public PlanProtocol.ExecutionCluster.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                  int index,
                                                                  Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>`

#### addRepeatedField

    public PlanProtocol.ExecutionCluster.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                  Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>`

#### mergeFrom

    public PlanProtocol.ExecutionCluster.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ExecutionCluster.Builder>`

#### mergeFrom

    public PlanProtocol.ExecutionCluster.Builder mergeFrom​(PlanProtocol.ExecutionCluster other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>`

#### mergeFrom

    public PlanProtocol.ExecutionCluster.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ExecutionCluster.Builder>`
Throws:
  `IOException`

#### getVmClusterId

    public com.google.protobuf.ByteString getVmClusterId()

    the uuid of the vm cluster

`bytes vm_cluster_id = 1;`

Specified by:
  `getVmClusterId` in interface `PlanProtocol.ExecutionClusterOrBuilder`
Returns:
  The vmClusterId.

#### setVmClusterId

    public PlanProtocol.ExecutionCluster.Builder setVmClusterId​(com.google.protobuf.ByteString value)

    the uuid of the vm cluster

`bytes vm_cluster_id = 1;`

Parameters:
  `value` - The vmClusterId to set.
Returns:
  This builder for chaining.

#### clearVmClusterId

    public PlanProtocol.ExecutionCluster.Builder clearVmClusterId()

    the uuid of the vm cluster

`bytes vm_cluster_id = 1;`

Returns:
  This builder for chaining.

#### getComputeSequenceNumber

    public int getComputeSequenceNumber()

    the csn identifying this set of peers as a subset of the cluster

`uint32 compute_sequence_number = 2;`

Specified by:
  `getComputeSequenceNumber` in interface `PlanProtocol.ExecutionClusterOrBuilder`
Returns:
  The computeSequenceNumber.

#### setComputeSequenceNumber

    public PlanProtocol.ExecutionCluster.Builder setComputeSequenceNumber​(int value)

    the csn identifying this set of peers as a subset of the cluster

`uint32 compute_sequence_number = 2;`

Parameters:
  `value` - The computeSequenceNumber to set.
Returns:
  This builder for chaining.

#### clearComputeSequenceNumber

    public PlanProtocol.ExecutionCluster.Builder clearComputeSequenceNumber()

    the csn identifying this set of peers as a subset of the cluster

`uint32 compute_sequence_number = 2;`

Returns:
  This builder for chaining.

#### getNodeIdsList

    public List<Integer> getNodeIdsList()

    the set of node ids (participants of the specified vm cluster)

`repeated uint32 node_ids = 3;`

Specified by:
  `getNodeIdsList` in interface `PlanProtocol.ExecutionClusterOrBuilder`
Returns:
  A list containing the nodeIds.

#### getNodeIdsCount

    public int getNodeIdsCount()

    the set of node ids (participants of the specified vm cluster)

`repeated uint32 node_ids = 3;`

Specified by:
  `getNodeIdsCount` in interface `PlanProtocol.ExecutionClusterOrBuilder`
Returns:
  The count of nodeIds.

#### getNodeIds

    public int getNodeIds​(int index)

    the set of node ids (participants of the specified vm cluster)

`repeated uint32 node_ids = 3;`

Specified by:
  `getNodeIds` in interface `PlanProtocol.ExecutionClusterOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The nodeIds at the given index.

#### setNodeIds

    public PlanProtocol.ExecutionCluster.Builder setNodeIds​(int index,
                                                            int value)

    the set of node ids (participants of the specified vm cluster)

`repeated uint32 node_ids = 3;`

Parameters:
  `index` - The index to set the value at.
  `value` - The nodeIds to set.
Returns:
  This builder for chaining.

#### addNodeIds

    public PlanProtocol.ExecutionCluster.Builder addNodeIds​(int value)

    the set of node ids (participants of the specified vm cluster)

`repeated uint32 node_ids = 3;`

Parameters:
  `value` - The nodeIds to add.
Returns:
  This builder for chaining.

#### addAllNodeIds

    public PlanProtocol.ExecutionCluster.Builder addAllNodeIds​(Iterable<? extends Integer> values)

    the set of node ids (participants of the specified vm cluster)

`repeated uint32 node_ids = 3;`

Parameters:
  `values` - The nodeIds to add.
Returns:
  This builder for chaining.

#### clearNodeIds

    public PlanProtocol.ExecutionCluster.Builder clearNodeIds()

    the set of node ids (participants of the specified vm cluster)

`repeated uint32 node_ids = 3;`

Returns:
  This builder for chaining.

#### getOwnershipSequenceNumber

    public long getOwnershipSequenceNumber()

     the osn identifying the segment ownership for leaf nodes in the storage cluster

`uint64 ownership_sequence_number = 4;`

Specified by:
  `getOwnershipSequenceNumber` in interface `PlanProtocol.ExecutionClusterOrBuilder`
Returns:
  The ownershipSequenceNumber.

#### setOwnershipSequenceNumber

    public PlanProtocol.ExecutionCluster.Builder setOwnershipSequenceNumber​(long value)

     the osn identifying the segment ownership for leaf nodes in the storage cluster

`uint64 ownership_sequence_number = 4;`

Parameters:
  `value` - The ownershipSequenceNumber to set.
Returns:
  This builder for chaining.

#### clearOwnershipSequenceNumber

    public PlanProtocol.ExecutionCluster.Builder clearOwnershipSequenceNumber()

     the osn identifying the segment ownership for leaf nodes in the storage cluster

`uint64 ownership_sequence_number = 4;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.ExecutionCluster.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.ExecutionCluster.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ExecutionCluster.Builder>`